Package io.dapr.client

# Class DaprHttp.Response

java.lang.Object
io.dapr.client.DaprHttp.Response

Enclosing class:
  DaprHttp

    public static class DaprHttp.Response
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Response​(byte[] body, java.util.Map<java.lang.String,​java.lang.String> headers, int statusCode)` | Represents an http response.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte[]` | `getBody()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getHeaders()` |
  `int` | `getStatusCode()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Response

    public Response​(byte[] body, java.util.Map<java.lang.String,​java.lang.String> headers, int statusCode)
    Represents an http response.
    Parameters:
      `body` - The body of the http response.
      `headers` - The headers of the http response.
      `statusCode` - The status code of the http response.

- ## Method Details

  - ### getBody

    public byte[] getBody()

  - ### getHeaders

    public java.util.Map<java.lang.String,​java.lang.String> getHeaders()

  - ### getStatusCode

    public int getStatusCode()